depends = ( 'VXLNumerics',)
templates = (
  ('Offset', 'itk::Offset', 'itkOffset2', '2'),
  ('Offset', 'itk::Offset', 'itkOffset3', '3'),
  ('Array', 'itk::Array', 'itkArrayD', 'double'),
  ('Array', 'itk::Array', 'itkArrayF', 'float'),
  ('ContinuousIndex', 'itk::ContinuousIndex', 'itkContinuousIndexF2', 'float,2'),
  ('ContinuousIndex', 'itk::ContinuousIndex', 'itkContinuousIndexD2', 'double,2'),
  ('ContinuousIndex', 'itk::ContinuousIndex', 'itkContinuousIndexF3', 'float,3'),
  ('ContinuousIndex', 'itk::ContinuousIndex', 'itkContinuousIndexD3', 'double,3'),
  ('Vector', 'itk::Vector', 'itkVectorF2', 'float,2'),
  ('Vector', 'itk::Vector', 'itkVectorD2', 'double,2'),
  ('Vector', 'itk::Vector', 'itkVectorF3', 'float,3'),
  ('Vector', 'itk::Vector', 'itkVectorD3', 'double,3'),
  ('CovariantVector', 'itk::CovariantVector', 'itkCovariantVectorF2', 'float,2'),
  ('CovariantVector', 'itk::CovariantVector', 'itkCovariantVectorD2', 'double,2'),
  ('CovariantVector', 'itk::CovariantVector', 'itkCovariantVectorF3', 'float,3'),
  ('CovariantVector', 'itk::CovariantVector', 'itkCovariantVectorD3', 'double,3'),
  ('Point', 'itk::Point', 'itkPointF2', 'float,2'),
  ('Point', 'itk::Point', 'itkPointD2', 'double,2'),
  ('Point', 'itk::Point', 'itkPointF3', 'float,3'),
  ('Point', 'itk::Point', 'itkPointD3', 'double,3'),
  ('RGBPixel', 'itk::RGBPixel', 'itkRGBPixelUC', 'unsigned char'),
  ('VariableLengthVector', 'itk::VariableLengthVector', 'itkVariableLengthVectorUC', 'unsigned char'),
  ('VariableLengthVector', 'itk::VariableLengthVector', 'itkVariableLengthVectorUS', 'unsigned short'),
  ('VariableLengthVector', 'itk::VariableLengthVector', 'itkVariableLengthVectorF', 'float'),
  ('ImageBase', 'itk::ImageBase', 'itkImageBase2', '2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageBase2_Pointer', 'itk::ImageBase< 2 >'),
  ('ImageBase', 'itk::ImageBase', 'itkImageBase3', '3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageBase3_Pointer', 'itk::ImageBase< 3 >'),
  ('Image', 'itk::Image', 'itkImageRGBUC2', 'itk::RGBPixel< unsigned char >,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRGBUC2_Pointer', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('Image', 'itk::Image', 'itkImageVF22', 'itk::Vector< float,2 >,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageVF22_Pointer', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('Image', 'itk::Image', 'itkImageCVF22', 'itk::CovariantVector< float,2 >,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageCVF22_Pointer', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('Image', 'itk::Image', 'itkImageUC2', 'unsigned char,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageUC2_Pointer', 'itk::Image< unsigned char,2 >'),
  ('Image', 'itk::Image', 'itkImageUS2', 'unsigned short,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageUS2_Pointer', 'itk::Image< unsigned short,2 >'),
  ('Image', 'itk::Image', 'itkImageF2', 'float,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageF2_Pointer', 'itk::Image< float,2 >'),
  ('Image', 'itk::Image', 'itkImageCF2', 'std::complex< float >,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageCF2_Pointer', 'itk::Image< std::complex< float >,2 >'),
  ('Image', 'itk::Image', 'itkImageD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageD2_Pointer', 'itk::Image< double,2 >'),
  ('Image', 'itk::Image', 'itkImageUL2', 'unsigned long,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageUL2_Pointer', 'itk::Image< unsigned long,2 >'),
  ('Image', 'itk::Image', 'itkImageRGBUC3', 'itk::RGBPixel< unsigned char >,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRGBUC3_Pointer', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('Image', 'itk::Image', 'itkImageVF33', 'itk::Vector< float,3 >,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageVF33_Pointer', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('Image', 'itk::Image', 'itkImageCVF33', 'itk::CovariantVector< float,3 >,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageCVF33_Pointer', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('Image', 'itk::Image', 'itkImageUC3', 'unsigned char,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageUC3_Pointer', 'itk::Image< unsigned char,3 >'),
  ('Image', 'itk::Image', 'itkImageUS3', 'unsigned short,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageUS3_Pointer', 'itk::Image< unsigned short,3 >'),
  ('Image', 'itk::Image', 'itkImageF3', 'float,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageF3_Pointer', 'itk::Image< float,3 >'),
  ('Image', 'itk::Image', 'itkImageCF3', 'std::complex< float >,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageCF3_Pointer', 'itk::Image< std::complex< float >,3 >'),
  ('Image', 'itk::Image', 'itkImageD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageD3_Pointer', 'itk::Image< double,3 >'),
  ('Image', 'itk::Image', 'itkImageUL3', 'unsigned long,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageUL3_Pointer', 'itk::Image< unsigned long,3 >'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageUC2', 'unsigned char,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorImageUC2_Pointer', 'itk::VectorImage< unsigned char,2 >'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageUS2', 'unsigned short,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorImageUS2_Pointer', 'itk::VectorImage< unsigned short,2 >'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageF2', 'float,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorImageF2_Pointer', 'itk::VectorImage< float,2 >'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageUC3', 'unsigned char,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorImageUC3_Pointer', 'itk::VectorImage< unsigned char,3 >'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageUS3', 'unsigned short,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorImageUS3_Pointer', 'itk::VectorImage< unsigned short,3 >'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageF3', 'float,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorImageF3_Pointer', 'itk::VectorImage< float,3 >'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUC2', 'unsigned char,2'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUS2', 'unsigned short,2'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeF2', 'float,2'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUC3', 'unsigned char,3'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUS3', 'unsigned short,3'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeF3', 'float,3'),
  ('DefaultStaticMeshTraits', 'itk::DefaultStaticMeshTraits', 'itkDefaultStaticMeshTraitsD22D', 'double,2,2,double'),
  ('DefaultStaticMeshTraits', 'itk::DefaultStaticMeshTraits', 'itkDefaultStaticMeshTraitsD33D', 'double,3,3,double'),
  ('Command', 'itk::Command', 'itkCommand'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCommand_Pointer', 'itk::Command'),
  ('DataObject', 'itk::DataObject', 'itkDataObject'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDataObject_Pointer', 'itk::DataObject'),
  ('Directory', 'itk::Directory', 'itkDirectory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDirectory_Pointer', 'itk::Directory'),
  ('DynamicLoader', 'itk::DynamicLoader', 'itkDynamicLoader'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDynamicLoader_Pointer', 'itk::DynamicLoader'),
  ('LightObject', 'itk::LightObject', 'itkLightObject'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLightObject_Pointer', 'itk::LightObject'),
  ('Object', 'itk::Object', 'itkObject'),
  ('SmartPointer', 'itk::SmartPointer', 'itkObject_Pointer', 'itk::Object'),
  ('ObjectFactoryBase', 'itk::ObjectFactoryBase', 'itkObjectFactoryBase'),
  ('SmartPointer', 'itk::SmartPointer', 'itkObjectFactoryBase_Pointer', 'itk::ObjectFactoryBase'),
  ('LightProcessObject', 'itk::LightProcessObject', 'itkLightProcessObject'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLightProcessObject_Pointer', 'itk::LightProcessObject'),
  ('ProcessObject', 'itk::ProcessObject', 'itkProcessObject'),
  ('SmartPointer', 'itk::SmartPointer', 'itkProcessObject_Pointer', 'itk::ProcessObject'),
  ('OutputWindow', 'itk::OutputWindow', 'itkOutputWindow'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOutputWindow_Pointer', 'itk::OutputWindow'),
  ('Version', 'itk::Version', 'itkVersion'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVersion_Pointer', 'itk::Version'),
  ('TimeStamp', 'itk::TimeStamp', 'itkTimeStamp'),
  ('Indent', 'itk::Indent', 'itkIndent'),
  ('StringStream', 'itk::StringStream', 'itkStringStream'),
  ('Region', 'itk::Region', 'itkRegion'),
  ('MeshRegion', 'itk::MeshRegion', 'itkMeshRegion'),
  ('ImageRegion', 'itk::ImageRegion', 'itkImageRegion2', '2'),
  ('ImageRegion', 'itk::ImageRegion', 'itkImageRegion3', '3'),
  ('BinaryBallStructuringElement', 'itk::BinaryBallStructuringElement', 'itkBinaryBallStructuringElementUC2', 'unsigned char,2'),
  ('BinaryBallStructuringElement', 'itk::BinaryBallStructuringElement', 'itkBinaryBallStructuringElementUS2', 'unsigned short,2'),
  ('BinaryBallStructuringElement', 'itk::BinaryBallStructuringElement', 'itkBinaryBallStructuringElementF2', 'float,2'),
  ('BinaryBallStructuringElement', 'itk::BinaryBallStructuringElement', 'itkBinaryBallStructuringElementB2', 'bool,2'),
  ('BinaryBallStructuringElement', 'itk::BinaryBallStructuringElement', 'itkBinaryBallStructuringElementUC3', 'unsigned char,3'),
  ('BinaryBallStructuringElement', 'itk::BinaryBallStructuringElement', 'itkBinaryBallStructuringElementUS3', 'unsigned short,3'),
  ('BinaryBallStructuringElement', 'itk::BinaryBallStructuringElement', 'itkBinaryBallStructuringElementF3', 'float,3'),
  ('BinaryBallStructuringElement', 'itk::BinaryBallStructuringElement', 'itkBinaryBallStructuringElementB3', 'bool,3'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC2IUC2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC3IUC3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC2IUS2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC3IUS3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC2IF2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,2 >, itk::Image< float,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC3IF3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,3 >, itk::Image< float,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS2IUC2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS3IUC3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS2IUS2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS3IUS3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS2IF2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,2 >, itk::Image< float,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3IF3', 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS3IF3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,3 >, itk::Image< float,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF2IUC2_Pointer', 'itk::CastImageFilter< itk::Image< float,2 >, itk::Image< unsigned char,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF3IUC3_Pointer', 'itk::CastImageFilter< itk::Image< float,3 >, itk::Image< unsigned char,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF2IUS2_Pointer', 'itk::CastImageFilter< itk::Image< float,2 >, itk::Image< unsigned short,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF3IUS3_Pointer', 'itk::CastImageFilter< itk::Image< float,3 >, itk::Image< unsigned short,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF2IF2_Pointer', 'itk::CastImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF3IF3_Pointer', 'itk::CastImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('DefaultDynamicMeshTraits', 'itk::DefaultDynamicMeshTraits', 'itkDefaultDynamicMeshTraitsD22D', 'double,2,2,double'),
  ('DefaultDynamicMeshTraits', 'itk::DefaultDynamicMeshTraits', 'itkDefaultDynamicMeshTraitsD33D', 'double,3,3,double'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDenseFiniteDifferenceImageFilterIUC2IUC2_Pointer', 'itk::DenseFiniteDifferenceImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDenseFiniteDifferenceImageFilterIUC3IUC3_Pointer', 'itk::DenseFiniteDifferenceImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDenseFiniteDifferenceImageFilterIUS2IUS2_Pointer', 'itk::DenseFiniteDifferenceImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDenseFiniteDifferenceImageFilterIUS3IUS3_Pointer', 'itk::DenseFiniteDifferenceImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDenseFiniteDifferenceImageFilterIF2IF2_Pointer', 'itk::DenseFiniteDifferenceImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDenseFiniteDifferenceImageFilterIF3IF3_Pointer', 'itk::DenseFiniteDifferenceImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDenseFiniteDifferenceImageFilterIVF22IVF22_Pointer', 'itk::DenseFiniteDifferenceImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDenseFiniteDifferenceImageFilterIVF33IVF33_Pointer', 'itk::DenseFiniteDifferenceImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDenseFiniteDifferenceImageFilterICVF22ICVF22_Pointer', 'itk::DenseFiniteDifferenceImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDenseFiniteDifferenceImageFilterICVF33ICVF33_Pointer', 'itk::DenseFiniteDifferenceImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterIUC2IUC2_Pointer', 'itk::DifferenceImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterIUC3IUC3_Pointer', 'itk::DifferenceImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterIUS2IUS2_Pointer', 'itk::DifferenceImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterIUS3IUS3_Pointer', 'itk::DifferenceImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterIF2IF2_Pointer', 'itk::DifferenceImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterIF3IF3_Pointer', 'itk::DifferenceImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('EventObject', 'itk::EventObject', 'itkEventObject'),
  ('NoEvent', 'itk::NoEvent', 'itkNoEvent'),
  ('AnyEvent', 'itk::AnyEvent', 'itkAnyEvent'),
  ('DeleteEvent', 'itk::DeleteEvent', 'itkDeleteEvent'),
  ('StartEvent', 'itk::StartEvent', 'itkStartEvent'),
  ('EndEvent', 'itk::EndEvent', 'itkEndEvent'),
  ('ProgressEvent', 'itk::ProgressEvent', 'itkProgressEvent'),
  ('ExitEvent', 'itk::ExitEvent', 'itkExitEvent'),
  ('ModifiedEvent', 'itk::ModifiedEvent', 'itkModifiedEvent'),
  ('IterationEvent', 'itk::IterationEvent', 'itkIterationEvent'),
  ('PickEvent', 'itk::PickEvent', 'itkPickEvent'),
  ('StartPickEvent', 'itk::StartPickEvent', 'itkStartPickEvent'),
  ('EndPickEvent', 'itk::EndPickEvent', 'itkEndPickEvent'),
  ('AbortCheckEvent', 'itk::AbortCheckEvent', 'itkAbortCheckEvent'),
  ('UserEvent', 'itk::UserEvent', 'itkUserEvent'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceFunctionIUC2_Pointer', 'itk::FiniteDifferenceFunction< itk::Image< unsigned char,2 > >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceFunctionIUC3_Pointer', 'itk::FiniteDifferenceFunction< itk::Image< unsigned char,3 > >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceFunctionIUS2_Pointer', 'itk::FiniteDifferenceFunction< itk::Image< unsigned short,2 > >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceFunctionIUS3_Pointer', 'itk::FiniteDifferenceFunction< itk::Image< unsigned short,3 > >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceFunctionIF2_Pointer', 'itk::FiniteDifferenceFunction< itk::Image< float,2 > >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceFunctionIF3_Pointer', 'itk::FiniteDifferenceFunction< itk::Image< float,3 > >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceFunctionIVF22_Pointer', 'itk::FiniteDifferenceFunction< itk::Image< itk::Vector< float,2 >,2 > >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceFunctionIVF33_Pointer', 'itk::FiniteDifferenceFunction< itk::Image< itk::Vector< float,3 >,3 > >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceFunctionICVF22_Pointer', 'itk::FiniteDifferenceFunction< itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceFunctionICVF33_Pointer', 'itk::FiniteDifferenceFunction< itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceImageFilterIUC2IUC2_Pointer', 'itk::FiniteDifferenceImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceImageFilterIUC3IUC3_Pointer', 'itk::FiniteDifferenceImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceImageFilterIUS2IUS2_Pointer', 'itk::FiniteDifferenceImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceImageFilterIUS3IUS3_Pointer', 'itk::FiniteDifferenceImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceImageFilterIF2IF2_Pointer', 'itk::FiniteDifferenceImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceImageFilterIF3IF3_Pointer', 'itk::FiniteDifferenceImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceImageFilterIVF22IVF22_Pointer', 'itk::FiniteDifferenceImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceImageFilterIVF33IVF33_Pointer', 'itk::FiniteDifferenceImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceImageFilterICVF22ICVF22_Pointer', 'itk::FiniteDifferenceImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFiniteDifferenceImageFilterICVF33ICVF33_Pointer', 'itk::FiniteDifferenceImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD2', 'double,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF2', 'float,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL2', 'unsigned long,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS2', 'unsigned short,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC2', 'unsigned char,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI2', 'unsigned int,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL2', 'signed long,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS2', 'signed short,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC2', 'signed char,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB2', 'bool,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD3', 'double,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF3', 'float,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL3', 'unsigned long,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS3', 'unsigned short,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC3', 'unsigned char,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI3', 'unsigned int,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL3', 'signed long,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS3', 'signed short,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC3', 'signed char,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB3', 'bool,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD1', 'double,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF1', 'float,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL1', 'unsigned long,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS1', 'unsigned short,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC1', 'unsigned char,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI1', 'unsigned int,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL1', 'signed long,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS1', 'signed short,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC1', 'signed char,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB1', 'bool,1'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseIF2D', 'itk::Image< float,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFunctionBaseIF2D_Pointer', 'itk::FunctionBase< itk::Image< float,2 >,double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseIUS2D', 'itk::Image< unsigned short,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFunctionBaseIUS2D_Pointer', 'itk::FunctionBase< itk::Image< unsigned short,2 >,double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePF2D', 'itk::Point< float,2 > ,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFunctionBasePF2D_Pointer', 'itk::FunctionBase< itk::Point< float,2 > ,double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePD2D', 'itk::Point< double,2 > ,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFunctionBasePD2D_Pointer', 'itk::FunctionBase< itk::Point< double,2 > ,double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseCIF2AD', 'itk::ContinuousIndex< float,2 > ,itk::Array< double >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFunctionBaseCIF2AD_Pointer', 'itk::FunctionBase< itk::ContinuousIndex< float,2 > ,itk::Array< double > >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseCID2AD', 'itk::ContinuousIndex< double,2 > ,itk::Array< double >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFunctionBaseCID2AD_Pointer', 'itk::FunctionBase< itk::ContinuousIndex< double,2 > ,itk::Array< double > >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseIF3D', 'itk::Image< float,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFunctionBaseIF3D_Pointer', 'itk::FunctionBase< itk::Image< float,3 >,double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseIUS3D', 'itk::Image< unsigned short,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFunctionBaseIUS3D_Pointer', 'itk::FunctionBase< itk::Image< unsigned short,3 >,double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePF3D', 'itk::Point< float,3 > ,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFunctionBasePF3D_Pointer', 'itk::FunctionBase< itk::Point< float,3 > ,double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePD3D', 'itk::Point< double,3 > ,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFunctionBasePD3D_Pointer', 'itk::FunctionBase< itk::Point< double,3 > ,double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseCIF3AD', 'itk::ContinuousIndex< float,3 > ,itk::Array< double >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFunctionBaseCIF3AD_Pointer', 'itk::FunctionBase< itk::ContinuousIndex< float,3 > ,itk::Array< double > >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseCID3AD', 'itk::ContinuousIndex< double,3 > ,itk::Array< double >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFunctionBaseCID3AD_Pointer', 'itk::FunctionBase< itk::ContinuousIndex< double,3 > ,itk::Array< double > >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseDD', 'double,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFunctionBaseDD_Pointer', 'itk::FunctionBase< double,double >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIUC2', 'itk::Image< unsigned char,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIUC3', 'itk::Image< unsigned char,3 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIUS2', 'itk::Image< unsigned short,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIUS3', 'itk::Image< unsigned short,3 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIF2', 'itk::Image< float,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIF3', 'itk::Image< float,3 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIUC2', 'itk::Image< unsigned char,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIUC3', 'itk::Image< unsigned char,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIUS2', 'itk::Image< unsigned short,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIUS3', 'itk::Image< unsigned short,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIF2', 'itk::Image< float,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIF3', 'itk::Image< float,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIUC2', 'itk::Image< unsigned char,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIUC3', 'itk::Image< unsigned char,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIUS2', 'itk::Image< unsigned short,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIUS3', 'itk::Image< unsigned short,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIF2', 'itk::Image< float,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIF3', 'itk::Image< float,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC2DF', 'itk::Image< unsigned char,2 >,double,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFunctionIUC2DF_Pointer', 'itk::ImageFunction< itk::Image< unsigned char,2 >,double,float >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC2DD', 'itk::Image< unsigned char,2 >,double,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFunctionIUC2DD_Pointer', 'itk::ImageFunction< itk::Image< unsigned char,2 >,double,double >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS2DF', 'itk::Image< unsigned short,2 >,double,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFunctionIUS2DF_Pointer', 'itk::ImageFunction< itk::Image< unsigned short,2 >,double,float >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS2DD', 'itk::Image< unsigned short,2 >,double,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFunctionIUS2DD_Pointer', 'itk::ImageFunction< itk::Image< unsigned short,2 >,double,double >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF2DF', 'itk::Image< float,2 >,double,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFunctionIF2DF_Pointer', 'itk::ImageFunction< itk::Image< float,2 >,double,float >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF2DD', 'itk::Image< float,2 >,double,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFunctionIF2DD_Pointer', 'itk::ImageFunction< itk::Image< float,2 >,double,double >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC3DF', 'itk::Image< unsigned char,3 >,double,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFunctionIUC3DF_Pointer', 'itk::ImageFunction< itk::Image< unsigned char,3 >,double,float >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC3DD', 'itk::Image< unsigned char,3 >,double,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFunctionIUC3DD_Pointer', 'itk::ImageFunction< itk::Image< unsigned char,3 >,double,double >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS3DF', 'itk::Image< unsigned short,3 >,double,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFunctionIUS3DF_Pointer', 'itk::ImageFunction< itk::Image< unsigned short,3 >,double,float >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS3DD', 'itk::Image< unsigned short,3 >,double,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFunctionIUS3DD_Pointer', 'itk::ImageFunction< itk::Image< unsigned short,3 >,double,double >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF3DF', 'itk::Image< float,3 >,double,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFunctionIF3DF_Pointer', 'itk::ImageFunction< itk::Image< float,3 >,double,float >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF3DD', 'itk::Image< float,3 >,double,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFunctionIF3DD_Pointer', 'itk::ImageFunction< itk::Image< float,3 >,double,double >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceIUC2_Pointer', 'itk::ImageSource< itk::Image< unsigned char,2 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceIUC3_Pointer', 'itk::ImageSource< itk::Image< unsigned char,3 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUL2', 'itk::Image< unsigned long,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceIUL2_Pointer', 'itk::ImageSource< itk::Image< unsigned long,2 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUL3', 'itk::Image< unsigned long,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceIUL3_Pointer', 'itk::ImageSource< itk::Image< unsigned long,3 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceIRGBUC2_Pointer', 'itk::ImageSource< itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceIRGBUC3_Pointer', 'itk::ImageSource< itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceIVF22_Pointer', 'itk::ImageSource< itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceIVF33_Pointer', 'itk::ImageSource< itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceICVF22_Pointer', 'itk::ImageSource< itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceICVF33_Pointer', 'itk::ImageSource< itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceIUS2_Pointer', 'itk::ImageSource< itk::Image< unsigned short,2 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceIUS3_Pointer', 'itk::ImageSource< itk::Image< unsigned short,3 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceIF2_Pointer', 'itk::ImageSource< itk::Image< float,2 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceIF3_Pointer', 'itk::ImageSource< itk::Image< float,3 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICF2', 'itk::Image< std::complex< float >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceICF2_Pointer', 'itk::ImageSource< itk::Image< std::complex< float >,2 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICF3', 'itk::Image< std::complex< float >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceICF3_Pointer', 'itk::ImageSource< itk::Image< std::complex< float >,3 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIUC2', 'itk::VectorImage< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceVIUC2_Pointer', 'itk::ImageSource< itk::VectorImage< unsigned char,2 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIUS2', 'itk::VectorImage< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceVIUS2_Pointer', 'itk::ImageSource< itk::VectorImage< unsigned short,2 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIF2', 'itk::VectorImage< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceVIF2_Pointer', 'itk::ImageSource< itk::VectorImage< float,2 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIUC3', 'itk::VectorImage< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceVIUC3_Pointer', 'itk::ImageSource< itk::VectorImage< unsigned char,3 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIUS3', 'itk::VectorImage< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceVIUS3_Pointer', 'itk::ImageSource< itk::VectorImage< unsigned short,3 > >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIF3', 'itk::VectorImage< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSourceVIF3_Pointer', 'itk::ImageSource< itk::VectorImage< float,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC2IUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC3IUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUL2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned long,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC2IUL2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned long,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IUL3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned long,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC3IUL3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned long,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC2IUS2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC3IUS3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC2IF2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,2 >, itk::Image< float,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC3IF3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,3 >, itk::Image< float,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS2IUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS3IUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUL2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned long,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS2IUL2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned long,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IUL3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned long,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS3IUL3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned long,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS2IUS2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS3IUS3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS2IF2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,2 >, itk::Image< float,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IF3', 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS3IF3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,3 >, itk::Image< float,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF2IUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< float,2 >, itk::Image< unsigned char,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF3IUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< float,3 >, itk::Image< unsigned char,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUL2', 'itk::Image< float,2 >, itk::Image< unsigned long,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF2IUL2_Pointer', 'itk::ImageToImageFilter< itk::Image< float,2 >, itk::Image< unsigned long,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IUL3', 'itk::Image< float,3 >, itk::Image< unsigned long,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF3IUL3_Pointer', 'itk::ImageToImageFilter< itk::Image< float,3 >, itk::Image< unsigned long,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF2IUS2_Pointer', 'itk::ImageToImageFilter< itk::Image< float,2 >, itk::Image< unsigned short,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF3IUS3_Pointer', 'itk::ImageToImageFilter< itk::Image< float,3 >, itk::Image< unsigned short,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF2IF2_Pointer', 'itk::ImageToImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF3IF3_Pointer', 'itk::ImageToImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IUC2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUL2IUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned long,2 >, itk::Image< unsigned char,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL3IUC3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUL3IUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned long,3 >, itk::Image< unsigned char,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IUS2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUL2IUS2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned long,2 >, itk::Image< unsigned short,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL3IUS3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUL3IUS3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned long,3 >, itk::Image< unsigned short,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIVF22IVF22_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIVF33IVF33_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterICVF22ICVF22_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterICVF33ICVF33_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC2IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIRGBUC2IRGBUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIRGBUC3IRGBUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IRGBUC2', 'itk::Image< unsigned long,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUL2IRGBUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned long,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL3IRGBUC3', 'itk::Image< unsigned long,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUL3IRGBUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned long,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IRGBUC2', 'itk::Image< unsigned char,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC2IRGBUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IRGBUC3', 'itk::Image< unsigned char,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC3IRGBUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IRGBUC2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS2IRGBUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IRGBUC3', 'itk::Image< unsigned short,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS3IRGBUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IRGBUC2', 'itk::Image< float,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF2IRGBUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< float,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IRGBUC3', 'itk::Image< float,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF3IRGBUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< float,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC2IUL2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< unsigned long,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIRGBUC2IUL2_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< unsigned long,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC3IUL3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< unsigned long,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIRGBUC3IUL3_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< unsigned long,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC2IUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIRGBUC2IUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< unsigned char,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC3IUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIRGBUC3IUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< unsigned char,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC2IUS2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIRGBUC2IUS2_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< unsigned short,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC3IUS3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIRGBUC3IUS3_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< unsigned short,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC2IF2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIRGBUC2IF2_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< float,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC3IF3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIRGBUC3IF3_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< float,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2IUC2', 'itk::VectorImage< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterVIUC2IUC2_Pointer', 'itk::ImageToImageFilter< itk::VectorImage< unsigned char,2 >,itk::Image< unsigned char,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2VIUC2', 'itk::Image< unsigned char,2 >,itk::VectorImage< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC2VIUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,2 >,itk::VectorImage< unsigned char,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2IUS2', 'itk::VectorImage< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterVIUS2IUS2_Pointer', 'itk::ImageToImageFilter< itk::VectorImage< unsigned short,2 >,itk::Image< unsigned short,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2VIUS2', 'itk::Image< unsigned short,2 >,itk::VectorImage< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS2VIUS2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,2 >,itk::VectorImage< unsigned short,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IF2', 'itk::VectorImage< float,2 >,itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterVIF2IF2_Pointer', 'itk::ImageToImageFilter< itk::VectorImage< float,2 >,itk::Image< float,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VIF2', 'itk::Image< float,2 >,itk::VectorImage< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF2VIF2_Pointer', 'itk::ImageToImageFilter< itk::Image< float,2 >,itk::VectorImage< float,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC3IUC3', 'itk::VectorImage< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterVIUC3IUC3_Pointer', 'itk::ImageToImageFilter< itk::VectorImage< unsigned char,3 >,itk::Image< unsigned char,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3VIUC3', 'itk::Image< unsigned char,3 >,itk::VectorImage< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC3VIUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,3 >,itk::VectorImage< unsigned char,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS3IUS3', 'itk::VectorImage< unsigned short,3 >,itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterVIUS3IUS3_Pointer', 'itk::ImageToImageFilter< itk::VectorImage< unsigned short,3 >,itk::Image< unsigned short,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3VIUS3', 'itk::Image< unsigned short,3 >,itk::VectorImage< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS3VIUS3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,3 >,itk::VectorImage< unsigned short,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF3IF3', 'itk::VectorImage< float,3 >,itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterVIF3IF3_Pointer', 'itk::ImageToImageFilter< itk::VectorImage< float,3 >,itk::Image< float,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3VIF3', 'itk::Image< float,3 >,itk::VectorImage< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF3VIF3_Pointer', 'itk::ImageToImageFilter< itk::Image< float,3 >,itk::VectorImage< float,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22IUC2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIVF22IUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned char,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF33IUC3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIVF33IUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned char,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22IUS2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIVF22IUS2_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF33IUS3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIVF33IUS3_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned short,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22IF2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIVF22IF2_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< float,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF33IF3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIVF33IF3_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< float,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22IUC2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterICVF22IUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned char,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF33IUC3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterICVF33IUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned char,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22IUS2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterICVF22IUS2_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF33IUS3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterICVF33IUS3_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned short,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22IF2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterICVF22IF2_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF33IF3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterICVF33IF3_Pointer', 'itk::ImageToImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< float,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC2IVF22_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC3IVF33_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2ICVF22', 'itk::Image< unsigned char,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC2ICVF22_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3ICVF33', 'itk::Image< unsigned char,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC3ICVF33_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,3 >, itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS2IVF22_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS3IVF33_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2ICVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS2ICVF22_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3ICVF33', 'itk::Image< unsigned short,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS3ICVF33_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,3 >, itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IVF22', 'itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF2IVF22_Pointer', 'itk::ImageToImageFilter< itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IVF33', 'itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF3IVF33_Pointer', 'itk::ImageToImageFilter< itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2ICVF22', 'itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF2ICVF22_Pointer', 'itk::ImageToImageFilter< itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3ICVF33', 'itk::Image< float,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF3ICVF33_Pointer', 'itk::ImageToImageFilter< itk::Image< float,3 >, itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICF2IF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterICF2IF2_Pointer', 'itk::ImageToImageFilter< itk::Image< std::complex< float >,2 >, itk::Image< float,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICF3IF3', 'itk::Image< std::complex< float >,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterICF3IF3_Pointer', 'itk::ImageToImageFilter< itk::Image< std::complex< float >,3 >, itk::Image< float,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2ICF2', 'itk::Image< float,2 >, itk::Image< std::complex< float >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF2ICF2_Pointer', 'itk::ImageToImageFilter< itk::Image< float,2 >, itk::Image< std::complex< float >,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3ICF3', 'itk::Image< float,3 >, itk::Image< std::complex< float >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF3ICF3_Pointer', 'itk::ImageToImageFilter< itk::Image< float,3 >, itk::Image< std::complex< float >,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUC3', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC2IUC3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUS3', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS2IUS3_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IF3', 'itk::Image< float,2 >,itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF2IF3_Pointer', 'itk::ImageToImageFilter< itk::Image< float,2 >,itk::Image< float,3 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IUC2', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUC3IUC2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IUS2', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIUS3IUS2_Pointer', 'itk::ImageToImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 > >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IF2', 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageFilterIF3IF2_Pointer', 'itk::ImageToImageFilter< itk::Image< float,3 >,itk::Image< float,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC2IUC2_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC3IUC3_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC2IUS2_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC3IUS3_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC2IF2_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,2 >, itk::Image< float,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC3IF3_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,3 >, itk::Image< float,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS2IUC2_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS3IUC3_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS2IUS2_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS3IUS3_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS2IF2_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,2 >, itk::Image< float,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3IF3', 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS3IF3_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,3 >, itk::Image< float,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF2IUC2_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,2 >, itk::Image< unsigned char,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF3IUC3_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,3 >, itk::Image< unsigned char,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF2IUS2_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,2 >, itk::Image< unsigned short,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF3IUS3_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,3 >, itk::Image< unsigned short,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF2IF2_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF3IF3_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IUC2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUL2IUC2_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned long,2 >, itk::Image< unsigned char,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL3IUC3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUL3IUC3_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned long,3 >, itk::Image< unsigned char,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IUS2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUL2IUS2_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned long,2 >, itk::Image< unsigned short,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL3IUS3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUL3IUS3_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned long,3 >, itk::Image< unsigned short,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIVF22IVF22_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIVF33IVF33_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterICVF22ICVF22_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterICVF33ICVF33_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUC2IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIRGBUC2IRGBUC2_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUC3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIRGBUC3IRGBUC3_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUC2IUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIRGBUC2IUC2_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< unsigned char,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUC3IUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIRGBUC3IUC3_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< unsigned char,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IRGBUC2', 'itk::Image< unsigned long,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUL2IRGBUC2_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned long,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL3IRGBUC3', 'itk::Image< unsigned long,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUL3IRGBUC3_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned long,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IRGBUC2', 'itk::Image< unsigned char,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC2IRGBUC2_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3IRGBUC3', 'itk::Image< unsigned char,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC3IRGBUC3_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IRGBUC2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS2IRGBUC2_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3IRGBUC3', 'itk::Image< unsigned short,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS3IRGBUC3_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IRGBUC2', 'itk::Image< float,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF2IRGBUC2_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3IRGBUC3', 'itk::Image< float,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF3IRGBUC3_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUC2IUC2', 'itk::VectorImage< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterVIUC2IUC2_Pointer', 'itk::InPlaceImageFilter< itk::VectorImage< unsigned char,2 >,itk::Image< unsigned char,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2VIUC2', 'itk::Image< unsigned char,2 >,itk::VectorImage< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC2VIUC2_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,2 >,itk::VectorImage< unsigned char,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUS2IUS2', 'itk::VectorImage< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterVIUS2IUS2_Pointer', 'itk::InPlaceImageFilter< itk::VectorImage< unsigned short,2 >,itk::Image< unsigned short,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2VIUS2', 'itk::Image< unsigned short,2 >,itk::VectorImage< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS2VIUS2_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,2 >,itk::VectorImage< unsigned short,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF2IF2', 'itk::VectorImage< float,2 >,itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterVIF2IF2_Pointer', 'itk::InPlaceImageFilter< itk::VectorImage< float,2 >,itk::Image< float,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2VIF2', 'itk::Image< float,2 >,itk::VectorImage< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF2VIF2_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,2 >,itk::VectorImage< float,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUC3IUC3', 'itk::VectorImage< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterVIUC3IUC3_Pointer', 'itk::InPlaceImageFilter< itk::VectorImage< unsigned char,3 >,itk::Image< unsigned char,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3VIUC3', 'itk::Image< unsigned char,3 >,itk::VectorImage< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC3VIUC3_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,3 >,itk::VectorImage< unsigned char,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUS3IUS3', 'itk::VectorImage< unsigned short,3 >,itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterVIUS3IUS3_Pointer', 'itk::InPlaceImageFilter< itk::VectorImage< unsigned short,3 >,itk::Image< unsigned short,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3VIUS3', 'itk::Image< unsigned short,3 >,itk::VectorImage< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS3VIUS3_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,3 >,itk::VectorImage< unsigned short,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF3IF3', 'itk::VectorImage< float,3 >,itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterVIF3IF3_Pointer', 'itk::InPlaceImageFilter< itk::VectorImage< float,3 >,itk::Image< float,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3VIF3', 'itk::Image< float,3 >,itk::VectorImage< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF3VIF3_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,3 >,itk::VectorImage< float,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22IUC2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIVF22IUC2_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned char,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF33IUC3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIVF33IUC3_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned char,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22IUS2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIVF22IUS2_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF33IUS3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIVF33IUS3_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned short,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22IF2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIVF22IF2_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< float,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF33IF3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIVF33IF3_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< float,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22IUC2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterICVF22IUC2_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned char,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF33IUC3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterICVF33IUC3_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned char,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22IUS2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterICVF22IUS2_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF33IUS3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterICVF33IUS3_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned short,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22IF2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterICVF22IF2_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF33IF3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterICVF33IF3_Pointer', 'itk::InPlaceImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< float,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC2IVF22_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC3IVF33_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2ICVF22', 'itk::Image< unsigned char,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC2ICVF22_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3ICVF33', 'itk::Image< unsigned char,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUC3ICVF33_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned char,3 >, itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS2IVF22_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS3IVF33_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2ICVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS2ICVF22_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3ICVF33', 'itk::Image< unsigned short,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIUS3ICVF33_Pointer', 'itk::InPlaceImageFilter< itk::Image< unsigned short,3 >, itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IVF22', 'itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF2IVF22_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3IVF33', 'itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF3IVF33_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2ICVF22', 'itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF2ICVF22_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3ICVF33', 'itk::Image< float,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF3ICVF33_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,3 >, itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICF2IF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterICF2IF2_Pointer', 'itk::InPlaceImageFilter< itk::Image< std::complex< float >,2 >, itk::Image< float,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICF3IF3', 'itk::Image< std::complex< float >,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterICF3IF3_Pointer', 'itk::InPlaceImageFilter< itk::Image< std::complex< float >,3 >, itk::Image< float,3 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2ICF2', 'itk::Image< float,2 >, itk::Image< std::complex< float >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF2ICF2_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,2 >, itk::Image< std::complex< float >,2 > >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3ICF3', 'itk::Image< float,3 >, itk::Image< std::complex< float >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInPlaceImageFilterIF3ICF3_Pointer', 'itk::InPlaceImageFilter< itk::Image< float,3 >, itk::Image< std::complex< float >,3 > >'),
  ('Index', 'itk::Index', 'itkIndex2', '2'),
  ('Index', 'itk::Index', 'itkIndex3', '3'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC2D', 'itk::Image< unsigned char,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInterpolateImageFunctionIUC2D_Pointer', 'itk::InterpolateImageFunction< itk::Image< unsigned char,2 >,double >'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUS2D', 'itk::Image< unsigned short,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInterpolateImageFunctionIUS2D_Pointer', 'itk::InterpolateImageFunction< itk::Image< unsigned short,2 >,double >'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF2D', 'itk::Image< float,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInterpolateImageFunctionIF2D_Pointer', 'itk::InterpolateImageFunction< itk::Image< float,2 >,double >'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC3D', 'itk::Image< unsigned char,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInterpolateImageFunctionIUC3D_Pointer', 'itk::InterpolateImageFunction< itk::Image< unsigned char,3 >,double >'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUS3D', 'itk::Image< unsigned short,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInterpolateImageFunctionIUS3D_Pointer', 'itk::InterpolateImageFunction< itk::Image< unsigned short,3 >,double >'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF3D', 'itk::Image< float,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInterpolateImageFunctionIF3D_Pointer', 'itk::InterpolateImageFunction< itk::Image< float,3 >,double >'),
  ('Matrix', 'itk::Matrix', 'itkMatrixF22', 'float,2,2'),
  ('Matrix', 'itk::Matrix', 'itkMatrixF33', 'float,3,3'),
  ('Matrix', 'itk::Matrix', 'itkMatrixF44', 'float,4,4'),
  ('Matrix', 'itk::Matrix', 'itkMatrixD22', 'double,2,2'),
  ('Matrix', 'itk::Matrix', 'itkMatrixD33', 'double,3,3'),
  ('Matrix', 'itk::Matrix', 'itkMatrixD44', 'double,4,4'),
  ('Mesh', 'itk::Mesh', 'itkMeshD2S', 'double,2,itk::DefaultStaticMeshTraits< double,2,2,double >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeshD2S_Pointer', 'itk::Mesh< double,2,itk::DefaultStaticMeshTraits< double,2,2,double > >'),
  ('Mesh', 'itk::Mesh', 'itkMeshD2D', 'double,2,itk::DefaultDynamicMeshTraits< double,2,2,double >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeshD2D_Pointer', 'itk::Mesh< double,2,itk::DefaultDynamicMeshTraits< double,2,2,double > >'),
  ('Mesh', 'itk::Mesh', 'itkMeshD3S', 'double,3,itk::DefaultStaticMeshTraits< double,3,3,double >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeshD3S_Pointer', 'itk::Mesh< double,3,itk::DefaultStaticMeshTraits< double,3,3,double > >'),
  ('Mesh', 'itk::Mesh', 'itkMeshD3D', 'double,3,itk::DefaultDynamicMeshTraits< double,3,3,double >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeshD3D_Pointer', 'itk::Mesh< double,3,itk::DefaultDynamicMeshTraits< double,3,3,double > >'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI2UC', 'itk::Index<2>, unsigned char'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI2US', 'itk::Index<2>, unsigned short'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI2F', 'itk::Index<2>, float'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI3UC', 'itk::Index<3>, unsigned char'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI3US', 'itk::Index<3>, unsigned short'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI3F', 'itk::Index<3>, float'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI2UC', 'itk::BandNode< itk::Index<2>, unsigned char>'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandBNI2UC_Pointer', 'itk::NarrowBand< itk::BandNode< itk::Index<2>, unsigned char> >'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI2US', 'itk::BandNode< itk::Index<2>, unsigned short>'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandBNI2US_Pointer', 'itk::NarrowBand< itk::BandNode< itk::Index<2>, unsigned short> >'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI2F', 'itk::BandNode< itk::Index<2>, float>'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandBNI2F_Pointer', 'itk::NarrowBand< itk::BandNode< itk::Index<2>, float> >'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI3UC', 'itk::BandNode< itk::Index<3>, unsigned char>'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandBNI3UC_Pointer', 'itk::NarrowBand< itk::BandNode< itk::Index<3>, unsigned char> >'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI3US', 'itk::BandNode< itk::Index<3>, unsigned short>'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandBNI3US_Pointer', 'itk::NarrowBand< itk::BandNode< itk::Index<3>, unsigned short> >'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI3F', 'itk::BandNode< itk::Index<3>, float>'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandBNI3F_Pointer', 'itk::NarrowBand< itk::BandNode< itk::Index<3>, float> >'),
  ('NarrowBandImageFilterBase', 'itk::NarrowBandImageFilterBase', 'itkNarrowBandImageFilterBaseIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandImageFilterBaseIF2IF2_Pointer', 'itk::NarrowBandImageFilterBase< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('NarrowBandImageFilterBase', 'itk::NarrowBandImageFilterBase', 'itkNarrowBandImageFilterBaseIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandImageFilterBaseIF3IF3_Pointer', 'itk::NarrowBandImageFilterBase< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodUC2', 'unsigned char,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodUS2', 'unsigned short,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodF2', 'float,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodRGBUC2', 'itk::RGBPixel< unsigned char >,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodB2', 'bool,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodVF22', 'itk::Vector< float,2 >,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodCVF22', 'itk::CovariantVector< float,2 >,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodUC3', 'unsigned char,3'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodUS3', 'unsigned short,3'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodF3', 'float,3'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodRGBUC3', 'itk::RGBPixel< unsigned char >,3'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodB3', 'bool,3'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodVF33', 'itk::Vector< float,3 >,3'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodCVF33', 'itk::CovariantVector< float,3 >,3'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD2S', 'double,2,itk::DefaultStaticMeshTraits< double,2,2,double >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPointSetD2S_Pointer', 'itk::PointSet< double,2,itk::DefaultStaticMeshTraits< double,2,2,double > >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD2D', 'double,2,itk::DefaultDynamicMeshTraits< double,2,2,double >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPointSetD2D_Pointer', 'itk::PointSet< double,2,itk::DefaultDynamicMeshTraits< double,2,2,double > >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD3S', 'double,3,itk::DefaultStaticMeshTraits< double,3,3,double >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPointSetD3S_Pointer', 'itk::PointSet< double,3,itk::DefaultStaticMeshTraits< double,3,3,double > >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD3D', 'double,3,itk::DefaultDynamicMeshTraits< double,3,3,double >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPointSetD3D_Pointer', 'itk::PointSet< double,3,itk::DefaultDynamicMeshTraits< double,3,3,double > >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleDataObjectDecoratorD_Pointer', 'itk::SimpleDataObjectDecorator< double >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorF', 'float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleDataObjectDecoratorF_Pointer', 'itk::SimpleDataObjectDecorator< float >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorUL', 'unsigned long'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleDataObjectDecoratorUL_Pointer', 'itk::SimpleDataObjectDecorator< unsigned long >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorUS', 'unsigned short'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleDataObjectDecoratorUS_Pointer', 'itk::SimpleDataObjectDecorator< unsigned short >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorUC', 'unsigned char'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleDataObjectDecoratorUC_Pointer', 'itk::SimpleDataObjectDecorator< unsigned char >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorSL', 'signed long'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleDataObjectDecoratorSL_Pointer', 'itk::SimpleDataObjectDecorator< signed long >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorSS', 'signed short'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleDataObjectDecoratorSS_Pointer', 'itk::SimpleDataObjectDecorator< signed short >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorSC', 'signed char'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleDataObjectDecoratorSC_Pointer', 'itk::SimpleDataObjectDecorator< signed char >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorB', 'bool'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleDataObjectDecoratorB_Pointer', 'itk::SimpleDataObjectDecorator< bool >'),
  ('Size', 'itk::Size', 'itkSize2', '2'),
  ('Size', 'itk::Size', 'itkSize3', '3'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSparseFieldLevelSetImageFilterIF2IF2_Pointer', 'itk::SparseFieldLevelSetImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSparseFieldLevelSetImageFilterIF3IF3_Pointer', 'itk::SparseFieldLevelSetImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUC2', 'unsigned int,itk::LevelSetNode< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorContainerUILSNUC2_Pointer', 'itk::VectorContainer< unsigned int,itk::LevelSetNode< unsigned char,2 > >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUS2', 'unsigned int,itk::LevelSetNode< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorContainerUILSNUS2_Pointer', 'itk::VectorContainer< unsigned int,itk::LevelSetNode< unsigned short,2 > >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNF2', 'unsigned int,itk::LevelSetNode< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorContainerUILSNF2_Pointer', 'itk::VectorContainer< unsigned int,itk::LevelSetNode< float,2 > >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULVD2', 'unsigned long,itk::Vector< double,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorContainerULVD2_Pointer', 'itk::VectorContainer< unsigned long,itk::Vector< double,2 > >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUC3', 'unsigned int,itk::LevelSetNode< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorContainerUILSNUC3_Pointer', 'itk::VectorContainer< unsigned int,itk::LevelSetNode< unsigned char,3 > >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUS3', 'unsigned int,itk::LevelSetNode< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorContainerUILSNUS3_Pointer', 'itk::VectorContainer< unsigned int,itk::LevelSetNode< unsigned short,3 > >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNF3', 'unsigned int,itk::LevelSetNode< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorContainerUILSNF3_Pointer', 'itk::VectorContainer< unsigned int,itk::LevelSetNode< float,3 > >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULVD3', 'unsigned long,itk::Vector< double,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorContainerULVD3_Pointer', 'itk::VectorContainer< unsigned long,itk::Vector< double,3 > >'),
  ('Versor', 'itk::Versor', 'itkVersorD', 'double'),
)
