depends = ( 'Base',)
templates = (
  ('ApproximateSignedDistanceMapImageFilter', 'itk::ApproximateSignedDistanceMapImageFilter', 'itkApproximateSignedDistanceMapImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkApproximateSignedDistanceMapImageFilterIF2IF2_Pointer', 'itk::ApproximateSignedDistanceMapImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ApproximateSignedDistanceMapImageFilter', 'itk::ApproximateSignedDistanceMapImageFilter', 'itkApproximateSignedDistanceMapImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkApproximateSignedDistanceMapImageFilterIF3IF3_Pointer', 'itk::ApproximateSignedDistanceMapImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDanielssonDistanceMapImageFilterIUC2IUC2_Pointer', 'itk::DanielssonDistanceMapImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDanielssonDistanceMapImageFilterIUC3IUC3_Pointer', 'itk::DanielssonDistanceMapImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDanielssonDistanceMapImageFilterIUS2IUS2_Pointer', 'itk::DanielssonDistanceMapImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDanielssonDistanceMapImageFilterIUS3IUS3_Pointer', 'itk::DanielssonDistanceMapImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDanielssonDistanceMapImageFilterIF2IF2_Pointer', 'itk::DanielssonDistanceMapImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDanielssonDistanceMapImageFilterIF3IF3_Pointer', 'itk::DanielssonDistanceMapImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('FastChamferDistanceImageFilter', 'itk::FastChamferDistanceImageFilter', 'itkFastChamferDistanceImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastChamferDistanceImageFilterIF2IF2_Pointer', 'itk::FastChamferDistanceImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('FastChamferDistanceImageFilter', 'itk::FastChamferDistanceImageFilter', 'itkFastChamferDistanceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastChamferDistanceImageFilterIF3IF3_Pointer', 'itk::FastChamferDistanceImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('SignedDanielssonDistanceMapImageFilter', 'itk::SignedDanielssonDistanceMapImageFilter', 'itkSignedDanielssonDistanceMapImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSignedDanielssonDistanceMapImageFilterIF2IF2_Pointer', 'itk::SignedDanielssonDistanceMapImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('SignedDanielssonDistanceMapImageFilter', 'itk::SignedDanielssonDistanceMapImageFilter', 'itkSignedDanielssonDistanceMapImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSignedDanielssonDistanceMapImageFilterIF3IF3_Pointer', 'itk::SignedDanielssonDistanceMapImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('SignedMaurerDistanceMapImageFilter', 'itk::SignedMaurerDistanceMapImageFilter', 'itkSignedMaurerDistanceMapImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSignedMaurerDistanceMapImageFilterIF2IF2_Pointer', 'itk::SignedMaurerDistanceMapImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('SignedMaurerDistanceMapImageFilter', 'itk::SignedMaurerDistanceMapImageFilter', 'itkSignedMaurerDistanceMapImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSignedMaurerDistanceMapImageFilterIF3IF3_Pointer', 'itk::SignedMaurerDistanceMapImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
)
