depends = ( 'Base', 'BaseNumerics', 'BaseTransforms', 'BaseSpatialObject',)
templates = (
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterIUC2IUC2IVF22_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterIUC3IUC3IVF33_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIUS2IUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterIUS2IUS2IVF22_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIUS3IUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterIUS3IUS3IVF33_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterIF2IF2IVF22_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterIF3IF3IVF33_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodIUC2IUC2_Pointer', 'itk::ImageRegistrationMethod< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodIUC3IUC3_Pointer', 'itk::ImageRegistrationMethod< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodIUS2IUS2_Pointer', 'itk::ImageRegistrationMethod< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodIUS3IUS3_Pointer', 'itk::ImageRegistrationMethod< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodIF2IF2_Pointer', 'itk::ImageRegistrationMethod< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodIF3IF3_Pointer', 'itk::ImageRegistrationMethod< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricIUC2IUC2_Pointer', 'itk::ImageToImageMetric< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricIUC3IUC3_Pointer', 'itk::ImageToImageMetric< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricIUS2IUS2_Pointer', 'itk::ImageToImageMetric< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricIUS3IUS3_Pointer', 'itk::ImageToImageMetric< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricIF2IF2_Pointer', 'itk::ImageToImageMetric< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricIF3IF3_Pointer', 'itk::ImageToImageMetric< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterIUC2IUC2IVF22_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterIUC3IUC3IVF33_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIUS2IUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterIUS2IUS2IVF22_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIUS3IUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterIUS3IUS3IVF33_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterIF2IF2IVF22_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterIF3IF3IVF33_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricIUC2IUC2_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricIUC3IUC3_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricIUS2IUS2_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricIUS3IUS3_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricIF2IF2_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricIF3IF3_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC2IUC2_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC3IUC3_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUS2IUS2_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUS3IUS3_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF2IF2_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF3IF3_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricIUC2IUC2_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricIUC3IUC3_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricIUS2IUS2_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricIUS3IUS3_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricIF2IF2_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricIF3IF3_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodIUC2IUC2_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodIUC3IUC3_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodIUS2IUS2_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodIUS3IUS3_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodIF2IF2_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodIF3IF3_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricIUC2IUC2_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricIUC3IUC3_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricIUS2IUS2_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricIUS3IUS3_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricIF2IF2_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricIF3IF3_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricIUC2IUC2_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricIUC3IUC3_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricIUS2IUS2_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricIUS3IUS3_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricIF2IF2_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricIF3IF3_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterIUC2IUC2IVF22_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterIUC3IUC3IVF33_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIUS2IUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterIUS2IUS2IVF22_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIUS3IUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterIUS3IUS3IVF33_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterIF2IF2IVF22_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterIF3IF3IVF33_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
)
