depends = ( 'Base',)
templates = (
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBlackTopHatImageFilterIUC2IUC2_Pointer', 'itk::BlackTopHatImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBlackTopHatImageFilterIUS2IUS2_Pointer', 'itk::BlackTopHatImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIF2IF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBlackTopHatImageFilterIF2IF2_Pointer', 'itk::BlackTopHatImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBlackTopHatImageFilterIUC3IUC3_Pointer', 'itk::BlackTopHatImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBlackTopHatImageFilterIUS3IUS3_Pointer', 'itk::BlackTopHatImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIF3IF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBlackTopHatImageFilterIF3IF3_Pointer', 'itk::BlackTopHatImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkClosingByReconstructionImageFilterIUC2IUC2_Pointer', 'itk::ClosingByReconstructionImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkClosingByReconstructionImageFilterIUS2IUS2_Pointer', 'itk::ClosingByReconstructionImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIF2IF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkClosingByReconstructionImageFilterIF2IF2_Pointer', 'itk::ClosingByReconstructionImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkClosingByReconstructionImageFilterIUC3IUC3_Pointer', 'itk::ClosingByReconstructionImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkClosingByReconstructionImageFilterIUS3IUS3_Pointer', 'itk::ClosingByReconstructionImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIF3IF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkClosingByReconstructionImageFilterIF3IF3_Pointer', 'itk::ClosingByReconstructionImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDilateObjectMorphologyImageFilterIUC2IUC2_Pointer', 'itk::DilateObjectMorphologyImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDilateObjectMorphologyImageFilterIUS2IUS2_Pointer', 'itk::DilateObjectMorphologyImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIF2IF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDilateObjectMorphologyImageFilterIF2IF2_Pointer', 'itk::DilateObjectMorphologyImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDilateObjectMorphologyImageFilterIUC3IUC3_Pointer', 'itk::DilateObjectMorphologyImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDilateObjectMorphologyImageFilterIUS3IUS3_Pointer', 'itk::DilateObjectMorphologyImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIF3IF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDilateObjectMorphologyImageFilterIF3IF3_Pointer', 'itk::DilateObjectMorphologyImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkErodeObjectMorphologyImageFilterIUC2IUC2_Pointer', 'itk::ErodeObjectMorphologyImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkErodeObjectMorphologyImageFilterIUS2IUS2_Pointer', 'itk::ErodeObjectMorphologyImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIF2IF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkErodeObjectMorphologyImageFilterIF2IF2_Pointer', 'itk::ErodeObjectMorphologyImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkErodeObjectMorphologyImageFilterIUC3IUC3_Pointer', 'itk::ErodeObjectMorphologyImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkErodeObjectMorphologyImageFilterIUS3IUS3_Pointer', 'itk::ErodeObjectMorphologyImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIF3IF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkErodeObjectMorphologyImageFilterIF3IF3_Pointer', 'itk::ErodeObjectMorphologyImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleConnectedClosingImageFilterIUC2IUC2_Pointer', 'itk::GrayscaleConnectedClosingImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleConnectedClosingImageFilterIUC3IUC3_Pointer', 'itk::GrayscaleConnectedClosingImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleConnectedClosingImageFilterIUS2IUS2_Pointer', 'itk::GrayscaleConnectedClosingImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleConnectedClosingImageFilterIUS3IUS3_Pointer', 'itk::GrayscaleConnectedClosingImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleConnectedClosingImageFilterIF2IF2_Pointer', 'itk::GrayscaleConnectedClosingImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleConnectedClosingImageFilterIF3IF3_Pointer', 'itk::GrayscaleConnectedClosingImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleConnectedOpeningImageFilterIUC2IUC2_Pointer', 'itk::GrayscaleConnectedOpeningImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleConnectedOpeningImageFilterIUC3IUC3_Pointer', 'itk::GrayscaleConnectedOpeningImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleConnectedOpeningImageFilterIUS2IUS2_Pointer', 'itk::GrayscaleConnectedOpeningImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleConnectedOpeningImageFilterIUS3IUS3_Pointer', 'itk::GrayscaleConnectedOpeningImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleConnectedOpeningImageFilterIF2IF2_Pointer', 'itk::GrayscaleConnectedOpeningImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleConnectedOpeningImageFilterIF3IF3_Pointer', 'itk::GrayscaleConnectedOpeningImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleDilateImageFilterIUC2IUC2_Pointer', 'itk::GrayscaleDilateImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleDilateImageFilterIUS2IUS2_Pointer', 'itk::GrayscaleDilateImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIF2IF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleDilateImageFilterIF2IF2_Pointer', 'itk::GrayscaleDilateImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleDilateImageFilterIUC3IUC3_Pointer', 'itk::GrayscaleDilateImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleDilateImageFilterIUS3IUS3_Pointer', 'itk::GrayscaleDilateImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIF3IF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleDilateImageFilterIF3IF3_Pointer', 'itk::GrayscaleDilateImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleErodeImageFilterIUC2IUC2_Pointer', 'itk::GrayscaleErodeImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleErodeImageFilterIUS2IUS2_Pointer', 'itk::GrayscaleErodeImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIF2IF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleErodeImageFilterIF2IF2_Pointer', 'itk::GrayscaleErodeImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleErodeImageFilterIUC3IUC3_Pointer', 'itk::GrayscaleErodeImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleErodeImageFilterIUS3IUS3_Pointer', 'itk::GrayscaleErodeImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIF3IF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleErodeImageFilterIF3IF3_Pointer', 'itk::GrayscaleErodeImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFillholeImageFilterIUC2IUC2_Pointer', 'itk::GrayscaleFillholeImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFillholeImageFilterIUC3IUC3_Pointer', 'itk::GrayscaleFillholeImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFillholeImageFilterIUS2IUS2_Pointer', 'itk::GrayscaleFillholeImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFillholeImageFilterIUS3IUS3_Pointer', 'itk::GrayscaleFillholeImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFillholeImageFilterIF2IF2_Pointer', 'itk::GrayscaleFillholeImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFillholeImageFilterIF3IF3_Pointer', 'itk::GrayscaleFillholeImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFunctionDilateImageFilterIUC2IUC2_Pointer', 'itk::GrayscaleFunctionDilateImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFunctionDilateImageFilterIUS2IUS2_Pointer', 'itk::GrayscaleFunctionDilateImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIF2IF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFunctionDilateImageFilterIF2IF2_Pointer', 'itk::GrayscaleFunctionDilateImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFunctionDilateImageFilterIUC3IUC3_Pointer', 'itk::GrayscaleFunctionDilateImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFunctionDilateImageFilterIUS3IUS3_Pointer', 'itk::GrayscaleFunctionDilateImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIF3IF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFunctionDilateImageFilterIF3IF3_Pointer', 'itk::GrayscaleFunctionDilateImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFunctionErodeImageFilterIUC2IUC2_Pointer', 'itk::GrayscaleFunctionErodeImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFunctionErodeImageFilterIUS2IUS2_Pointer', 'itk::GrayscaleFunctionErodeImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIF2IF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFunctionErodeImageFilterIF2IF2_Pointer', 'itk::GrayscaleFunctionErodeImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFunctionErodeImageFilterIUC3IUC3_Pointer', 'itk::GrayscaleFunctionErodeImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFunctionErodeImageFilterIUS3IUS3_Pointer', 'itk::GrayscaleFunctionErodeImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIF3IF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleFunctionErodeImageFilterIF3IF3_Pointer', 'itk::GrayscaleFunctionErodeImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGeodesicDilateImageFilterIUC2IUC2_Pointer', 'itk::GrayscaleGeodesicDilateImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGeodesicDilateImageFilterIUC3IUC3_Pointer', 'itk::GrayscaleGeodesicDilateImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGeodesicDilateImageFilterIUS2IUS2_Pointer', 'itk::GrayscaleGeodesicDilateImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGeodesicDilateImageFilterIUS3IUS3_Pointer', 'itk::GrayscaleGeodesicDilateImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGeodesicDilateImageFilterIF2IF2_Pointer', 'itk::GrayscaleGeodesicDilateImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGeodesicDilateImageFilterIF3IF3_Pointer', 'itk::GrayscaleGeodesicDilateImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGeodesicErodeImageFilterIUC2IUC2_Pointer', 'itk::GrayscaleGeodesicErodeImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGeodesicErodeImageFilterIUC3IUC3_Pointer', 'itk::GrayscaleGeodesicErodeImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGeodesicErodeImageFilterIUS2IUS2_Pointer', 'itk::GrayscaleGeodesicErodeImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGeodesicErodeImageFilterIUS3IUS3_Pointer', 'itk::GrayscaleGeodesicErodeImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGeodesicErodeImageFilterIF2IF2_Pointer', 'itk::GrayscaleGeodesicErodeImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGeodesicErodeImageFilterIF3IF3_Pointer', 'itk::GrayscaleGeodesicErodeImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGrindPeakImageFilterIUC2IUC2_Pointer', 'itk::GrayscaleGrindPeakImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGrindPeakImageFilterIUC3IUC3_Pointer', 'itk::GrayscaleGrindPeakImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGrindPeakImageFilterIUS2IUS2_Pointer', 'itk::GrayscaleGrindPeakImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGrindPeakImageFilterIUS3IUS3_Pointer', 'itk::GrayscaleGrindPeakImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGrindPeakImageFilterIF2IF2_Pointer', 'itk::GrayscaleGrindPeakImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleGrindPeakImageFilterIF3IF3_Pointer', 'itk::GrayscaleGrindPeakImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleMorphologicalClosingImageFilterIUC2IUC2_Pointer', 'itk::GrayscaleMorphologicalClosingImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleMorphologicalClosingImageFilterIUS2IUS2_Pointer', 'itk::GrayscaleMorphologicalClosingImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIF2IF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleMorphologicalClosingImageFilterIF2IF2_Pointer', 'itk::GrayscaleMorphologicalClosingImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleMorphologicalClosingImageFilterIUC3IUC3_Pointer', 'itk::GrayscaleMorphologicalClosingImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleMorphologicalClosingImageFilterIUS3IUS3_Pointer', 'itk::GrayscaleMorphologicalClosingImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIF3IF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleMorphologicalClosingImageFilterIF3IF3_Pointer', 'itk::GrayscaleMorphologicalClosingImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleMorphologicalOpeningImageFilterIUC2IUC2_Pointer', 'itk::GrayscaleMorphologicalOpeningImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleMorphologicalOpeningImageFilterIUS2IUS2_Pointer', 'itk::GrayscaleMorphologicalOpeningImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIF2IF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleMorphologicalOpeningImageFilterIF2IF2_Pointer', 'itk::GrayscaleMorphologicalOpeningImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleMorphologicalOpeningImageFilterIUC3IUC3_Pointer', 'itk::GrayscaleMorphologicalOpeningImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleMorphologicalOpeningImageFilterIUS3IUS3_Pointer', 'itk::GrayscaleMorphologicalOpeningImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIF3IF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGrayscaleMorphologicalOpeningImageFilterIF3IF3_Pointer', 'itk::GrayscaleMorphologicalOpeningImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHConcaveImageFilterIUC2IUC2_Pointer', 'itk::HConcaveImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHConcaveImageFilterIUC3IUC3_Pointer', 'itk::HConcaveImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHConcaveImageFilterIUS2IUS2_Pointer', 'itk::HConcaveImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHConcaveImageFilterIUS3IUS3_Pointer', 'itk::HConcaveImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHConcaveImageFilterIF2IF2_Pointer', 'itk::HConcaveImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHConcaveImageFilterIF3IF3_Pointer', 'itk::HConcaveImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHConvexImageFilterIUC2IUC2_Pointer', 'itk::HConvexImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHConvexImageFilterIUC3IUC3_Pointer', 'itk::HConvexImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHConvexImageFilterIUS2IUS2_Pointer', 'itk::HConvexImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHConvexImageFilterIUS3IUS3_Pointer', 'itk::HConvexImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHConvexImageFilterIF2IF2_Pointer', 'itk::HConvexImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHConvexImageFilterIF3IF3_Pointer', 'itk::HConvexImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHMaximaImageFilterIUC2IUC2_Pointer', 'itk::HMaximaImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHMaximaImageFilterIUC3IUC3_Pointer', 'itk::HMaximaImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHMaximaImageFilterIUS2IUS2_Pointer', 'itk::HMaximaImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHMaximaImageFilterIUS3IUS3_Pointer', 'itk::HMaximaImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHMaximaImageFilterIF2IF2_Pointer', 'itk::HMaximaImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHMaximaImageFilterIF3IF3_Pointer', 'itk::HMaximaImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHMinimaImageFilterIUC2IUC2_Pointer', 'itk::HMinimaImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHMinimaImageFilterIUC3IUC3_Pointer', 'itk::HMinimaImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHMinimaImageFilterIUS2IUS2_Pointer', 'itk::HMinimaImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHMinimaImageFilterIUS3IUS3_Pointer', 'itk::HMinimaImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHMinimaImageFilterIF2IF2_Pointer', 'itk::HMinimaImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHMinimaImageFilterIF3IF3_Pointer', 'itk::HMinimaImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMorphologicalGradientImageFilterIUC2IUC2_Pointer', 'itk::MorphologicalGradientImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMorphologicalGradientImageFilterIUS2IUS2_Pointer', 'itk::MorphologicalGradientImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIF2IF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMorphologicalGradientImageFilterIF2IF2_Pointer', 'itk::MorphologicalGradientImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMorphologicalGradientImageFilterIUC3IUC3_Pointer', 'itk::MorphologicalGradientImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMorphologicalGradientImageFilterIUS3IUS3_Pointer', 'itk::MorphologicalGradientImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIF3IF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMorphologicalGradientImageFilterIF3IF3_Pointer', 'itk::MorphologicalGradientImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOpeningByReconstructionImageFilterIUC2IUC2_Pointer', 'itk::OpeningByReconstructionImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOpeningByReconstructionImageFilterIUS2IUS2_Pointer', 'itk::OpeningByReconstructionImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIF2IF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOpeningByReconstructionImageFilterIF2IF2_Pointer', 'itk::OpeningByReconstructionImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOpeningByReconstructionImageFilterIUC3IUC3_Pointer', 'itk::OpeningByReconstructionImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOpeningByReconstructionImageFilterIUS3IUS3_Pointer', 'itk::OpeningByReconstructionImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIF3IF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOpeningByReconstructionImageFilterIF3IF3_Pointer', 'itk::OpeningByReconstructionImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReconstructionByDilationImageFilterIUC2IUC2_Pointer', 'itk::ReconstructionByDilationImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReconstructionByDilationImageFilterIUC3IUC3_Pointer', 'itk::ReconstructionByDilationImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReconstructionByDilationImageFilterIUS2IUS2_Pointer', 'itk::ReconstructionByDilationImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReconstructionByDilationImageFilterIUS3IUS3_Pointer', 'itk::ReconstructionByDilationImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReconstructionByDilationImageFilterIF2IF2_Pointer', 'itk::ReconstructionByDilationImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReconstructionByDilationImageFilterIF3IF3_Pointer', 'itk::ReconstructionByDilationImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReconstructionByErosionImageFilterIUC2IUC2_Pointer', 'itk::ReconstructionByErosionImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReconstructionByErosionImageFilterIUC3IUC3_Pointer', 'itk::ReconstructionByErosionImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReconstructionByErosionImageFilterIUS2IUS2_Pointer', 'itk::ReconstructionByErosionImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReconstructionByErosionImageFilterIUS3IUS3_Pointer', 'itk::ReconstructionByErosionImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReconstructionByErosionImageFilterIF2IF2_Pointer', 'itk::ReconstructionByErosionImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReconstructionByErosionImageFilterIF3IF3_Pointer', 'itk::ReconstructionByErosionImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWhiteTopHatImageFilterIUC2IUC2_Pointer', 'itk::WhiteTopHatImageFilter< itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWhiteTopHatImageFilterIUS2IUS2_Pointer', 'itk::WhiteTopHatImageFilter< itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIF2IF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWhiteTopHatImageFilterIF2IF2_Pointer', 'itk::WhiteTopHatImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,itk::BinaryBallStructuringElement< bool,2 > >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWhiteTopHatImageFilterIUC3IUC3_Pointer', 'itk::WhiteTopHatImageFilter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWhiteTopHatImageFilterIUS3IUS3_Pointer', 'itk::WhiteTopHatImageFilter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIF3IF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWhiteTopHatImageFilterIF3IF3_Pointer', 'itk::WhiteTopHatImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,itk::BinaryBallStructuringElement< bool,3 > >'),
)
