depends = ( 'Base', 'BaseTransforms',)
templates = (
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterIUC2_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< unsigned char,2 > >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterIUC3_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< unsigned char,3 > >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterIUS2_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< unsigned short,2 > >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterIUS3_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< unsigned short,3 > >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterIF2_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< float,2 > >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterIF3_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< float,3 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterIUC2_Pointer', 'itk::FlipImageFilter< itk::Image< unsigned char,2 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterIUC3_Pointer', 'itk::FlipImageFilter< itk::Image< unsigned char,3 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterIUS2_Pointer', 'itk::FlipImageFilter< itk::Image< unsigned short,2 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterIUS3_Pointer', 'itk::FlipImageFilter< itk::Image< unsigned short,3 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterIF2_Pointer', 'itk::FlipImageFilter< itk::Image< float,2 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterIF3_Pointer', 'itk::FlipImageFilter< itk::Image< float,3 > >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterUC2', 'unsigned char,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterUC2_Pointer', 'itk::ImportImageFilter< unsigned char,2 >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterUS2', 'unsigned short,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterUS2_Pointer', 'itk::ImportImageFilter< unsigned short,2 >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterF2', 'float,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterF2_Pointer', 'itk::ImportImageFilter< float,2 >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterUC3', 'unsigned char,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterUC3_Pointer', 'itk::ImportImageFilter< unsigned char,3 >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterUS3', 'unsigned short,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterUS3_Pointer', 'itk::ImportImageFilter< unsigned short,3 >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterF3', 'float,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterF3_Pointer', 'itk::ImportImageFilter< float,3 >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInterpolateImageFilterIUC2IUC2_Pointer', 'itk::InterpolateImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInterpolateImageFilterIUC3IUC3_Pointer', 'itk::InterpolateImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInterpolateImageFilterIUS2IUS2_Pointer', 'itk::InterpolateImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInterpolateImageFilterIUS3IUS3_Pointer', 'itk::InterpolateImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInterpolateImageFilterIF2IF2_Pointer', 'itk::InterpolateImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInterpolateImageFilterIF3IF3_Pointer', 'itk::InterpolateImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterIUC2_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< unsigned char,2 > >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterIUC3_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< unsigned char,3 > >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterIUS2_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< unsigned short,2 > >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterIUS3_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< unsigned short,3 > >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterIF2_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< float,2 > >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterIF3_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< float,3 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceIUC2_Pointer', 'itk::RandomImageSource< itk::Image< unsigned char,2 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceIUC3_Pointer', 'itk::RandomImageSource< itk::Image< unsigned char,3 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceIUS2_Pointer', 'itk::RandomImageSource< itk::Image< unsigned short,2 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceIUS3_Pointer', 'itk::RandomImageSource< itk::Image< unsigned short,3 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceIF2_Pointer', 'itk::RandomImageSource< itk::Image< float,2 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceIF3_Pointer', 'itk::RandomImageSource< itk::Image< float,3 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterIUC2IUC2_Pointer', 'itk::ReflectImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterIUC3IUC3_Pointer', 'itk::ReflectImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterIUS2IUS2_Pointer', 'itk::ReflectImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterIUS3IUS3_Pointer', 'itk::ReflectImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterIF2IF2_Pointer', 'itk::ReflectImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterIF3IF3_Pointer', 'itk::ReflectImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterIUC2IUC2_Pointer', 'itk::ResampleImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterIUC3IUC3_Pointer', 'itk::ResampleImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterIUS2IUS2_Pointer', 'itk::ResampleImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterIUS3IUS3_Pointer', 'itk::ResampleImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterIF2IF2_Pointer', 'itk::ResampleImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterIF3IF3_Pointer', 'itk::ResampleImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterIUC2IUC2_Pointer', 'itk::StreamingImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterIUC3IUC3_Pointer', 'itk::StreamingImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterIUS2IUS2_Pointer', 'itk::StreamingImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterIUS3IUS3_Pointer', 'itk::StreamingImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterIF2IF2_Pointer', 'itk::StreamingImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterIF3IF3_Pointer', 'itk::StreamingImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('VTKImageExportBase', 'itk::VTKImageExportBase', 'itkVTKImageExportBase'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportBase_Pointer', 'itk::VTKImageExportBase'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportIUC2_Pointer', 'itk::VTKImageExport< itk::Image< unsigned char,2 > >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportIUC3_Pointer', 'itk::VTKImageExport< itk::Image< unsigned char,3 > >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportIUS2_Pointer', 'itk::VTKImageExport< itk::Image< unsigned short,2 > >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportIUS3_Pointer', 'itk::VTKImageExport< itk::Image< unsigned short,3 > >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportIF2_Pointer', 'itk::VTKImageExport< itk::Image< float,2 > >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportIF3_Pointer', 'itk::VTKImageExport< itk::Image< float,3 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportIUC2_Pointer', 'itk::VTKImageImport< itk::Image< unsigned char,2 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportIUC3_Pointer', 'itk::VTKImageImport< itk::Image< unsigned char,3 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportIUS2_Pointer', 'itk::VTKImageImport< itk::Image< unsigned short,2 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportIUS3_Pointer', 'itk::VTKImageImport< itk::Image< unsigned short,3 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportIF2_Pointer', 'itk::VTKImageImport< itk::Image< float,2 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportIF3_Pointer', 'itk::VTKImageImport< itk::Image< float,3 > >'),
)
